From d809c64e65ed3bb6524bcd7c7cb295c1c834d330 Mon Sep 17 00:00:00 2001
From: Matheus Bernardo <matheussber@aluno.unb.br>
Date: Jun 12 2018 19:55:50 +0000
Subject: [PATCH 15/42] Merge branch 'fixingGetApi' into tests


---

diff --git a/src/api/analysis.js b/src/api/analysis.js
index 3801b1a..69ebf5d 100644
--- a/src/api/analysis.js
+++ b/src/api/analysis.js
@@ -2,12 +2,12 @@ import axios from '.'
 
 export default {
   get: (currentPackage) => {
-    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.versions}`)
+    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.versions[0].number}`)
   },
   getReports: (currentPackage, id) => {
-    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.version}/${id}/reports`)
+    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.versions[0].number}/${id}/reports`)
   },
   getResults: (currentPackage, id) => {
-    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.version}/${id}/results`)
+    return axios.get(`/analysis/${currentPackage.name}/${currentPackage.versions[0].number}/${id}/results`)
   }
 }
diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index a310cc6..3fdbdc5 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -47,9 +47,9 @@ export default {
   data () {
     return {
       fields: [
-        { key: 'name', label: 'Package Name', sortable: false },
-        { key: 'version', label: 'Last Version', sortable: false },
-        { key: 'previous', label: 'Previous Version', sortable: false },
+        { key: 'name', label: 'Package Name', sortable: true },
+        { key: 'version', label: 'Last Version', sortable: true },
+        { key: 'previous', label: 'Previous Version', sortable: true },
         { key: 'ranking', label: 'Ranking', sortable: true }
       ],
       updateData: null,
@@ -89,7 +89,7 @@ export default {
       actionTypes.FETCH_PACKAGES
     ]),
     showPackage (item, index) {
-      let p = this.allPackages[index]
+      let p = this.allPackages.find(singlePackage => singlePackage.name === item.name)
       this.$router.push({
         name: 'analysis',
         params: {
diff --git a/src/components/package/PackagePage.vue b/src/components/package/PackagePage.vue
index f068459..f2f8c39 100644
--- a/src/components/package/PackagePage.vue
+++ b/src/components/package/PackagePage.vue
@@ -1,6 +1,6 @@
 <template>
   <div class="package-page container">
-    <b-card :title="currentPackage.name" sub-title="1.0.0">
+    <b-card :title="currentPackage.name" :sub-title="lastVersion">
       <div class="row">
         <div class="col-sm-6 description-container">
           <div class="total-container">
@@ -144,6 +144,8 @@ export default {
   mounted () {
     if (this.package) {
       this.currentPackage = this.package
+    } else {
+      this.currentPackage = this.currentPackage
     }
     this.selectAnalysisId = (this.analysis || [{id: 0}])[0].id
     this.fetchData()
diff --git a/src/store/index.js b/src/store/index.js
index f3b9238..54d7477 100644
--- a/src/store/index.js
+++ b/src/store/index.js
@@ -3,11 +3,13 @@ import Vuex from 'vuex'
 import packages from './modules/packages'
 import analysis from './modules/analysis'
 import analysisData from './modules/analysisData'
+import createPersistedState from 'vuex-persistedstate'
 
 export default new Vuex.Store({
   modules: {
     packages,
     analysisData,
     analysis
-  }
+  },
+  plugins: [createPersistedState()]
 })

